Bug 511396 - trac-mercurial-plugin is out dated for mercurial and trac in F11
trac-mercurial-plugin is out dated for mercurial and trac in F11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trac-mercurial-plugin (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 18:19 EDT by Martí­n Marqués
Modified: 2013-01-10 00:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 18:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martí­n Marqués 2009-07-14 18:19:43 EDT
Description of problem:

Bug trying to get Mercurial version.

Fix already exists:

http://trac.edgewall.org/changeset/7849

Version-Release number of selected component (if applicable):

# rpm -q trac-mercurial-plugin
trac-mercurial-plugin-0.11.0.7-2.20090205svn7817.fc11.noarch
# rpm -q trac
trac-0.11.3-4.fc11.noarch
# rpm -q mercurial
mercurial-1.2.1-1.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2009-07-15 16:40:30 EDT
trac-mercurial-plugin-0.11.0.7-4.20090715svn8072.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/trac-mercurial-plugin-0.11.0.7-4.20090715svn8072.fc11
Comment 2 Martí­n Marqués 2009-07-18 10:20:46 EDT
Update works, but I'm having new problems since I updated mercurial with the latest F11 updates:

# rpm -q mercurial
mercurial-1.3-2.fc11.x86_64

The new error is this:


Trac detected an internal error:

TypeError: __init__() got an unexpected keyword argument 'interactive'


This only happens with trac repos using HG. Do I file a new report?
Comment 3 Martí­n Marqués 2009-07-18 11:04:58 EDT
Fixed it with the patch that I found in this trac bug report:

http://trac.edgewall.org/attachment/ticket/8460/patch_8352_for_hg_1.3
Comment 4 Fedora Update System 2009-07-19 06:15:17 EDT
trac-mercurial-plugin-0.11.0.7-4.20090715svn8072.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trac-mercurial-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7731
Comment 5 Martí­n Marqués 2009-07-19 08:15:02 EDT
Apparently another update has to come up, as with the update to Mercurial 1.3 the trac-mercurial-plugin is once again broken.

Don't know if the patch proposed in the link of #3 has been applied, and in which revision.
Comment 6 Jesse Keating 2009-07-20 13:42:45 EDT
It doesn't.  I'm updating the build to include that patch, thanks for the feedback!
Comment 7 Fedora Update System 2009-07-22 17:43:48 EDT
trac-mercurial-plugin-0.11.0.7-5.20090715svn8072.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trac-mercurial-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7731
Comment 8 Fedora Update System 2009-07-23 18:27:56 EDT
trac-mercurial-plugin-0.11.0.7-6.20090715svn8365.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/trac-mercurial-plugin-0.11.0.7-6.20090715svn8365.fc11
Comment 9 Fedora Update System 2009-07-24 15:41:54 EDT
trac-mercurial-plugin-0.11.0.7-6.20090715svn8365.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trac-mercurial-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7996
Comment 10 Martí­n Marqués 2009-07-26 10:10:17 EDT
This update didn't work.
Comment 11 Jesse Keating 2009-08-04 14:52:57 EDT
Do you get any errors or anything?
Comment 12 Bug Zapper 2010-04-27 11:40:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jesse Keating 2010-05-28 18:49:29 EDT
trac-mercurial-plugin-0.11.0.8-1.20100319svn9372.fc11 is pushed to stable.  If there is still a problem, re-open.

Note You need to log in before you can comment on or make changes to this bug.